## ocaml-base64 2.0.0

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -r api.docdir/* .gh-pages
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

.PHONY: gh-pages

=== debian/changelog ===
ocaml-base64 (2.0.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:58:43 +0200

ocaml-base64 (2.0.0-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 15:11:36 +0200

ocaml-base64 (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #834021)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2016 09:31:33 +0200

=== debian/control ===
Source: ocaml-base64
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 10),
 ocaml-nox,
 ocaml-findlib,
 ocamlbuild,
 dh-ocaml
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-base64.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-base64.git
Homepage: https://github.com/mirage/ocaml-base64

Package: libbase64-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: Base64 encoding and decoding OCaml library (dev files)
 Base64 is a group of similar binary-to-text encoding schemes that
 represent binary data in an ASCII string format by translating it
 into a radix-64 representation.  It is specified in RFC 2045.
 .
 This package contains development files.

Package: libbase64-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Base64 encoding and decoding OCaml library (runtime files)
 Base64 is a group of similar binary-to-text encoding schemes that
 represent binary data in an ASCII string format by translating it
 into a radix-64 representation.  It is specified in RFC 2045.
 .
 This package contains runtime files.

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-base64/tags .*/v([\d\.]+)\.tar\.gz

## ocaml-base64 3.4.0

=== debian/changelog ===
ocaml-base64 (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 13:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
+ libdune-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-base64.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-base64.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-base64
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-base64.git
 Homepage: https://github.com/mirage/ocaml-base64
 
 Package: libbase64-ocaml-dev

## ocaml-base64 3.5.0

=== debian/changelog ===
ocaml-base64 (3.5.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:46 +0100

ocaml-base64 (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch format version

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Nov 2021 09:43:28 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p base64

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/base64/LICENSE.md

override_dh_auto_test:
# Needs alcotest and bos

override_dh_dwz:

## ocaml-base64 3.5.1

=== debian/changelog ===
ocaml-base64 (3.5.1-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:32:30 +0100

ocaml-base64 (3.5.1-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 09:54:21 +0200

ocaml-base64 (3.5.1-1) unstable; urgency=medium

  * New upstream release
  * Include ocamlvars.mk in debian/rules
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 07:19:32 +0200

ocaml-base64 (3.5.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.5.0
+ libbos-ocaml-dev <!nocheck>,
+ libalcotest-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-base64
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-base64.git

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-base64/tags .*/v([\d\.]+)\.tar\.gz

## ocaml-base64 3.5.2

=== Makefile ===
.PHONY: all test clean

all:
	dune build

test:
	dune runtest

clean:
	dune clean

=== debian/changelog ===
ocaml-base64 (3.5.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debian/watch version to 5

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Sep 2025 09:00:17 +0200

=== debian/watch ===
Version: 5

Source: https://github.com/mirage/ocaml-base64/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
